package com.persagy.dmp.common.excel;

import lombok.Getter;
import lombok.Setter;
import org.apache.poi.ss.usermodel.HorizontalAlignment;

import java.util.LinkedList;
import java.util.List;

@Getter
@Setter
public class SheetWriteInfo<T> {

	private String sheetName;

	private List<String> headList = new LinkedList<>();

	private List<Integer> widths = new LinkedList<>();

	private List<HorizontalAlignment> horizontalAlignments = new LinkedList<>();

	private List<String> dataTypes = new LinkedList<>();

	private List<String> props = new LinkedList<>();

	private ExcelDataHandler<T> dataHandler;

	private List<T> data;

	public void addColumn(String header, String porp, String dataType, Integer width, HorizontalAlignment horizontalAlignment){
		this.headList.add(header);
		this.props.add(porp);
		this.dataTypes.add(dataType);
		this.widths.add(width);
		this.horizontalAlignments.add(horizontalAlignment);
	}
}
