package com.persagy.dmp.rwd.datautils;

import com.persagy.dmp.rwd.datautils.model.TransContext;
import com.persagy.dmp.rwd.datautils.service.TransObjInfoService;
import com.persagy.dmp.rwd.datautils.service.TransObjService;
import com.persagy.dmp.rwd.datautils.service.TransObjectValidService;
import com.persagy.dmp.rwd.datautils.service.TransRelationService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @author: yaoll
 * @date: 2020-10-14
 * @verison: 1.0
 */
@Slf4j
@SpringBootTest
@RunWith(SpringRunner.class)
public class TestTransServiceForQH {

	@Autowired
	private TransObjInfoService transObjInfoService;

	@Autowired
	private TransObjService transObjervice;

	@Autowired
	private TransRelationService transRelationService;

	@Autowired
	private TransObjectValidService transObjectValidService;

	private String groupCode = "QH";
	private String projectId = "Pj1101080252";
	private String basePath = "/Users/devsaga/trans/清华双清-2020-12-11";

	@Test
	public void transObjects() throws Exception {

		TransContext ctx = new TransContext();
		ctx.setGroupCode(groupCode);
		ctx.setProjectId(projectId);
		ctx.setBasePath(basePath);
		ctx.setDataFile("objects.json");
		transObjervice.trans(ctx);
	}

	@Test
	public void transObjInfos() throws Exception {

		String fileName = "obj_infos.json";
		TransContext ctx = new TransContext();
		ctx.setGroupCode(groupCode);
		ctx.setProjectId(projectId);
		ctx.setBasePath(basePath);
		ctx.setDataFile(fileName);
		transObjInfoService.trans(ctx);
	}


	/**
	 * 导入前要清除掉关系数据
	 *
	 * @throws Exception
	 */
	@Test
	public void transRelation() throws Exception {

		String fileName = "rel_btw_objs.json";
		TransContext ctx = new TransContext();
		ctx.setGroupCode(groupCode);
		ctx.setProjectId(projectId);
		ctx.setBasePath(basePath);
		ctx.setDataFile(fileName);
		// 先导出为sql
		transRelationService.trans(ctx);
	}

	/**
	 * 清理失效对象
	 *
	 * @throws Exception
	 */
	@Test
	public void transObjectValid() throws Exception {

		TransContext ctx = new TransContext();
		ctx.setGroupCode(groupCode);
		ctx.setProjectId(projectId);
		ctx.setBasePath(basePath);
		ctx.setDataFile("objects.json");
		transObjectValidService.trans(ctx);
	}


}
